%define 	revision 925

Summary: 	Belgium electronic identity card PKCS#11 module and Firefox plugin
Name: 		eid-mw
Version: 	4.0.0
Release:	%mkrel 2
License:	LGPL
Group:		Applications/Communications
URL: 		http://eid.belgium.be/

Source:		http://eidmw.yourict.net/dist/sources/eid-mw-%{version}-%{revision}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	gtk+2-devel
BuildRequires: 	pcsc-lite-devel
Requires(pre):	/sbin/chkconfig
Requires(pre):	/sbin/service
Requires: 	ccid

%description
The eID Middleware provides the libraries, a PKCS#11 module and a Firefox
plugin to use Belgian eID (electronic identity) card in order to access
websites and/or sign documents.

%prep
%setup

%build
./configure --disable-static \
	    --prefix=/usr \
	    --with-mozext=%{_libdir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}

%{__make} %{?_smp_mflags} RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"
rm %{buildroot}/%{_libdir}/*.la
rm %{buildroot}/%{_libdir}/libbeidcommon.so
rm %{buildroot}/%{_libdir}/libbeidpkcs11.so

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig

### openct and pcscd are mutual exclusive and we need pcscd for eID Middleware.
### Not nice but if people need the eID Middleware, this is what is required !
if /sbin/service openct status &>/dev/null; then
    /sbin/service openct stop || :
fi

### Disable openct on boot during first install only !
if (( $1 == 1 )) && /sbin/chkconfig --list | grep -qP '^openct\s.+\s3:on\s'; then
    echo "WARNING: The openct service is now disabled on boot." >&2
    /sbin/chkconfig openct off
fi

### Make sure pcscd is enabled and make pcscd reread configuration and rescan USB bus.
if /sbin/service pcscd status &>/dev/null; then
    /usr/sbin/pcscd -H &>/dev/null || :
elif /sbin/chkconfig --list | grep -qP '^pcscd\s'; then
    /sbin/service pcscd start || :
else
    echo "ERROR: Your pcscd installation is seriously broken." >&2
    exit 1
fi

### Enable pcscd on boot during first install only !
if (( $1 == 1 )) && /sbin/chkconfig --list | grep -qP '^pcscd\s.+\s3:off\s'; then
    echo "INFO: The pcscd service is now enabled on boot." >&2
    /sbin/chkconfig pcscd on
fi

### Notify user if an action is required for the eID plugin to work.
if /usr/bin/pgrep 'firefox' &>/dev/null; then
    echo "INFO: You may have to restart Firefox for the Belgium eID add-on to work." >&2
elif /usr/bin/pgrep 'iceweasel' &>/dev/null; then
    echo "INFO: You may have to restart Iceweasel for the Belgium eID add-on to work." >&2
fi

%postun
/sbin/ldconfig

### Make pcscd reread configuration and rescan USB bus.
if /sbin/service pcscd status &>/dev/null; then
    %{_sbindir}/pcscd -H &>/dev/null || :
fi

%files
%defattr(-, root, root, 0755)
### Include license files
%doc ChangeLog NEWS README
### FIXME: Include a man-page about eid-mw and troubleshooting
#%doc %{_mandir}/man1/eid-mw.1*
%{_libdir}/mozilla/extensions/
### FIXME: It links against *.so, not against *.so.*
%{_libdir}/libbeid*
%{_libdir}/libcard*


%changelog
* Fri Nov 25 2001 Maurizio <mauriziodm@mandrivaclub.be>
- First Built


